Package ru.bitel.common

# Class Preferences

java.lang.Object
ru.bitel.common.ParameterMap
ru.bitel.common.Preferences

Direct Known Subclasses:
  `DefaultServerSetup`, `ModuleSetup`

    public class Preferences
    extends ParameterMap

Набор параметров, хранящийся в ConcurrentHashMap. Можно загрузить из файла, из строки, из Properties. Содержит методы загрузки из БД конфигурации конкретного модуля.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

  `ParameterMap.DefaultParameterMap`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `bundleName` |
  `protected java.util.Map<java.lang.String,​java.lang.String>` | `data` |

  ### Fields inherited from class ru.bitel.common.ParameterMap

  `mapPrint`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Preferences()` |
  `Preferences​(boolean concurrent, boolean objectMap)` |
  `Preferences​(java.lang.String bundleName)` |
  `Preferences​(java.lang.String data, java.lang.String delim)` |
  `Preferences​(java.net.URL url)` |
  `Preferences​(java.util.Map<java.lang.String,​java.lang.String> data)` |
  `Preferences​(java.util.Map<java.lang.String,​java.lang.String> data, boolean concurrent, boolean objectMap)` |
  `Preferences​(ParameterMap setup, java.lang.String data, java.lang.String delim)` |
  `Preferences​(ParameterMap setup, java.lang.String data, java.lang.String delim, boolean concurrent, boolean objectMap)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.String>>` | `entrySet()` |
  `protected void` | `extract​(java.util.Map<java.lang.String,​java.lang.String> data)` |
  `java.lang.String` | `get​(java.lang.String key, java.lang.String def)` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMap()` | Возвращает в виде жавовского Map все значения.
  `java.lang.Object` | `getObject​(java.lang.String key)` |
  `java.lang.Object` | `getObject​(java.lang.String key, java.lang.Object def)` |
  `java.util.List<java.lang.Object>` | `getOrderedValues​(java.lang.String prefix)` | Deprecated.
  `protected void` | `loadBundle​(java.util.Map<java.lang.String,​java.lang.String> data)` | Загрузка файла конфигурации в Map, имя файла определено в поле `bundleName`.
  `void` | `loadData​(java.lang.String conf, java.lang.String delim)` |
  `protected void` | `loadData​(java.lang.String conf, java.lang.String delim, java.util.Map<java.lang.String,​java.lang.String> data)` |
  `protected void` | `loadDataEntry​(java.util.Map<java.lang.String,​java.lang.String> data, java.lang.String line)` |
  `protected void` | `loadFromInputStream​(java.io.InputStream inputStream, java.util.Map<java.lang.String,​java.lang.String> data)` |
  `protected void` | `loadModuleSetup​(java.sql.Connection con, int mid, java.util.Map<java.lang.String,​java.lang.String> data)` | Загрузка конфигурации из БД в Map.
  `java.util.List<java.util.Map<java.lang.String,​java.lang.String>>` | `parseObjects​(java.lang.String prefix)` | Deprecated. use subIndexed, subKeyed
  `java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.lang.String>>` | `parseObjectsNoOrder​(java.lang.String prefix)` | Deprecated. use subIndexed, subKeyed
  `void` | `putObject​(java.lang.String key, java.lang.Object val)` |
  `java.lang.Object` | `removeObject​(java.lang.String key)` |
  `void` | `set​(java.lang.String key, java.lang.String value)` |
  `protected void` | `updateData​(java.util.Map<java.lang.String,​java.lang.String> data)` | Обновление данных в сетапе.

  ### Methods inherited from class ru.bitel.common.ParameterMap

  `addActionListener, fingerprint, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bundleName

    protected java.lang.String bundleName

  - ### data

    protected final java.util.Map<java.lang.String,​java.lang.String> data

- ## Constructor Details

  - ### Preferences

    public Preferences()

  - ### Preferences

    public Preferences​(boolean concurrent, boolean objectMap)

  - ### Preferences

    public Preferences​(java.lang.String bundleName)

  - ### Preferences

    public Preferences​(java.net.URL url)

  - ### Preferences

    public Preferences​(java.lang.String data, java.lang.String delim)

  - ### Preferences

    public Preferences​(ParameterMap setup, java.lang.String data, java.lang.String delim)

  - ### Preferences

    public Preferences​(ParameterMap setup, java.lang.String data, java.lang.String delim, boolean concurrent, boolean objectMap)

  - ### Preferences

    public Preferences​(java.util.Map<java.lang.String,​java.lang.String> data)

  - ### Preferences

    public Preferences​(java.util.Map<java.lang.String,​java.lang.String> data, boolean concurrent, boolean objectMap)

- ## Method Details

  - ### get

    public java.lang.String get​(java.lang.String key, java.lang.String def)
    Specified by:
      `get` in class `ParameterMap`

  - ### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,​java.lang.String>> entrySet()
    Specified by:
      `entrySet` in class `ParameterMap`

  - ### extract

    protected void extract​(java.util.Map<java.lang.String,​java.lang.String> data)
    Overrides:
      `extract` in class `ParameterMap`

  - ### set

    public void set​(java.lang.String key, java.lang.String value)

  - ### loadData

    public void loadData​(java.lang.String conf, java.lang.String delim)

  - ### putObject

    public final void putObject​(java.lang.String key, java.lang.Object val)

  - ### getObject

    public final java.lang.Object getObject​(java.lang.String key, java.lang.Object def)

  - ### getObject

    public final java.lang.Object getObject​(java.lang.String key)

  - ### removeObject

    public final java.lang.Object removeObject​(java.lang.String key)

  - ### loadBundle

    protected void loadBundle​(java.util.Map<java.lang.String,​java.lang.String> data)
    Загрузка файла конфигурации в Map, имя файла определено в поле `bundleName`.

  - ### loadFromInputStream

    protected void loadFromInputStream​(java.io.InputStream inputStream, java.util.Map<java.lang.String,​java.lang.String> data) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### loadData

    protected void loadData​(java.lang.String conf, java.lang.String delim, java.util.Map<java.lang.String,​java.lang.String> data)

  - ### loadDataEntry

    protected void loadDataEntry​(java.util.Map<java.lang.String,​java.lang.String> data, java.lang.String line)

  - ### getOrderedValues

    @Deprecated public java.util.List<java.lang.Object> getOrderedValues​(java.lang.String prefix)
    Deprecated.
    возвращает упорядоченный список значений по ключам вида prefix.1=.... prefix.2=...
    Parameters:
      `prefix` - String
    Returns:
      List

  - ### parseObjects

    @Deprecated public java.util.List<java.util.Map<java.lang.String,​java.lang.String>> parseObjects​(java.lang.String prefix)
    Deprecated.
    use subIndexed, subKeyed
    Функция для разбора конфигураций вида: filetype.1.name=... filetype.1.value=... filetype.2.name=... filetype.2.value.. разбирает в список Map с ключами name, value, код (1,2,...) передается под ключем id.
    Parameters:
      `prefix` -
      `setup` -
    Returns:

  - ### parseObjectsNoOrder

    @Deprecated public java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.lang.String>> parseObjectsNoOrder​(java.lang.String prefix)
    Deprecated.
    use subIndexed, subKeyed

  - ### loadModuleSetup

    protected void loadModuleSetup​(java.sql.Connection con, int mid, java.util.Map<java.lang.String,​java.lang.String> data)
    Загрузка конфигурации из БД в Map.
    Parameters:
      `con` -
      `mid` -
      `data` -

  - ### updateData

    protected void updateData​(java.util.Map<java.lang.String,​java.lang.String> data)
    Обновление данных в сетапе.
    Parameters:
      `data` -

  - ### getMap

    public java.util.Map<java.lang.String,​java.lang.String> getMap()
    Description copied from class: `ParameterMap`
    Возвращает в виде жавовского Map все значения.
    Overrides:
      `getMap` in class `ParameterMap`